[Changes for 0.44 - Sep 4, 2004] * Support selective branches mapping with --branch-only=trunk,RELENG_5. (cvs only) * Don't unconditionally load svn config. * Don't create dummy txn on init even just for loading. * Make MirrorEditor::delete_entry use local revisions instead of remote ones. [Changes for 0.43 - Aug 21, 2004] * Don't suggest vcp by default since it's not on CPAN these days. * Support VCP::Source::cvsbk. * skip_to now parsed for HEAD(-N)?. * Fix a bug for rev lookup when mirroring remote '/'. [Changes for 0.42 - Aug 9, 2004] * Don't die out when upgrading mirrors from vcp sources. * Skip test for relay for svn 1.0.x. [Changes for 0.41 - Aug 7, 2004] * Fix a bug mirroring over ra_dav. repos root doesn't like get_dir ('/'). * Put source_uuid in VCP's source_repo_id so it's safe to switch. [Changes for 0.40 - Aug 4, 2004] * Change mirror state to avoid using '/' in property names that svn forbids. * Add API for upgrading and remote revision lookup. * Add cache for find_local_rev. * Support relayed mirroring in Ra backend. * Fix some bizzare pool reference and usage that causes leak over long sync. [Changes for 0.38 - Jul 14, 2004] * Fix a bug that non-canonical path might enter svn api. * Ignore signals when mirror state is inconsistent. [Changes for 0.37 - Jun 30, 2004] * Fix a bug that has_local can't deal with mirroring remote '/' * Cleanup tmp files in make clean. [Changes for 0.36 - May 23, 2004] * Split VCP::Dest::svk to its own distribution. [Changes for 0.35 - Apr 26, 2004] * Fix a bug triggered by remote rename. [Plasmaball] * Add VCP support. [Changes for 0.30 - Mar 28, 2004 - YAPC::Taipei::2004 Release Party] * Fix a problem caused by the ra session doing log doens't load config. Reported by: Stefan Metzmacher * Support copy-following in the changes being mirrored. [Plasmaball] * has_local now checks remote descendents just like is_mirror. * Properly quote variables in regex. This fixes mirroring svn+ssh://. [Plasmaball] * Support syncing specified remote rev_props. [Changes for 0.29 - Mar 5, 2004] * Add path parameter fo get_merge_back_editor. * Let is_mirror take care of descendents in mirror path. [Changes for 0.28 - Feb 16, 2004] * Add list_mirror function. * Store mirror info as dir_prop in / also. * API for checking if a remote uuid:path has local mirror. [Changes for 0.27 - Jan 15, 2004] * Support subversion 0.36. [Changes for 0.26 - Dec 27, 2003] * Fix a bug mirroring svn+ssh URL * Make paths canonical before entering the svn libraries. * Skip svm: properties when mirroring. This allows branched mirrored paths to be mirrored and branched again. [Changes for 0.25 - Nov 13, 2003] * Allow init with repository object. * New function: is_mirrroed. * New method: find_local_rev. * Fix pool usage that breaks default pool. * svm:source now "root!path" - prepared for copy following. * Simplify finding anchors for mirroring. * Requires 0.33. [Changes for 0.22 - Nov 4, 2003] * Check uuid before initializing mirror. * Return youngest_rev along with commit editor for use as base rev. [Changes for 0.21 - Oct 15, 2003] * Fix version number package. * Provide get_merge_back_editor. * message cleanups. * Fix vsnurl bug for mirroring over dav. [Changes for 0.20 - Sep 24, 2003] * Reuse ra-session when same anchor is used. this makes mirroring much faster. * svm mergeback support. * Fix a bug for partial repository mirroring. [Changes for 0.1 - Aug 25, 2003] Initial release.